Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.rpc
Class SerializableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.user.client.rpc.SerializableException

All Implemented Interfaces:
  IsSerializable, java.io.Serializable

Deprecated. As of GWT 1.5, `Exception` implements `Serializable` and can be used in place of this class.

    @Deprecated
    public class SerializableException

extends java.lang.Exception
implements IsSerializable

Superclass for exceptions thrown from RPC methods (those appearing in interfaces derived from `RemoteService`).

See Also:
  Serialized Form

Constructor Summary
`SerializableException()` Deprecated. The default constructor.
`SerializableException(java.lang.String msg)` Deprecated. Constructs a serializable exception with the specified message.

Method Summary
`java.lang.Throwable` | `getCause()` Deprecated. Exception chaining is not currently supported for serialized exceptions.
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Deprecated. No effect; exception chaining is not currently supported for serialized exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializableException

    public SerializableException()

  Deprecated.
  The default constructor. This constructor is used implicitly during serialization or when constructing subclasses.

### SerializableException

    public SerializableException(java.lang.String msg)

  Deprecated.
  Constructs a serializable exception with the specified message. This constructor is most often called by subclass constructors.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Deprecated.
  Exception chaining is not currently supported for serialized exceptions.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    always `null`

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  Deprecated.
  No effect; exception chaining is not currently supported for serialized exceptions.

  Overrides:
    `initCause` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD